This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 742413 - Nonsense phrase in documentation
Nonsense phrase in documentation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-29 23:11 EDT by JW
Modified: 2011-12-10 15:04 EST (History)
1 user (show)

See Also:
Fixed In Version: pam-1.1.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-03 21:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description JW 2011-09-29 23:11:24 EDT
Description of problem:
In man/pam.conf-syntax.xml for "sufficient" it is stated:
"A failure of this module is not deemed as fatal to satisfying the application that this type has succeeded."

You can read this phrase 100 times and it still wont make any sense.

Version-Release number of selected component (if applicable):
pam-1.1.4-4

How reproducible:
Always

Steps to Reproduce:
1. "less man/pam.conf-syntax.xml" or "man 5 pam.conf"
2. /sufficient/

  
Actual results:


Expected results:


Additional info:
The file specs/rfc86.0.txt gets it much better with the succinct sentence:
"With this flag, if the module succeeds the PAM framework returns success to the application immediately without trying any other modules".
Comment 1 Fedora Update System 2011-11-24 09:21:12 EST
pam-1.1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pam-1.1.5-1.fc16
Comment 2 Fedora Update System 2011-11-24 09:21:32 EST
pam-1.1.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam-1.1.5-1.fc15
Comment 3 Fedora Update System 2011-11-24 21:11:34 EST
Package pam-1.1.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pam-1.1.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16365/pam-1.1.5-1.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-12-03 21:23:13 EST
pam-1.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-12-10 15:04:48 EST
pam-1.1.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.